food = {"Feast of Aptitude", "Feast of Efficacy", "Ember Steak", "Snapper Jerky", "Feast of Cooperation", "Dwarven Goulash", "Kelari Spicy Pome", "Bacon Rolls"}

vial = {"Heroic Enduring Vial", "Heroic Brightsurge Vial", "Heroic Powersurge Vial", "Vial of Fire Resistance", "Vial of Water Resistance", "Vial of Earth Resistance"}

local function Feastcheck(unit) 

   local p = Inspect.Unit.Detail(unit)
     if p then
      local feast = false 
      local bufflist = Inspect.Buff.List(unit)
        if not bufflist then
           return
        end    
      local buffdetails = Inspect.Buff.Detail(unit, bufflist)
	for x = 0, table.getn(food) do        
 	 for id, details in pairs(buffdetails) do
           if details.name == food[x] then
              feast = true
           end
         end
	end
        if feast == false then
          print(p.name .. ": Feast Fail!")
        end
     end
end

local function Vialcheck(unit)

   local p = Inspect.Unit.Detail(unit)
     if p then
      local feast = false 
      local bufflist = Inspect.Buff.List(unit)
        if not bufflist then
           return
        end    
      local buffdetails = Inspect.Buff.Detail(unit, bufflist)
	for x = 0, table.getn(vial) do        
 	 for id, details in pairs(buffdetails) do
           if details.name == vial[x] then
              feast = true
           end
         end
	end
        if feast == false then
          print(p.name .. " is missing a vial.")
        end
     end
end

local function Raidcheck()

  for x = 1, 20 do
     local unit = string.format("group%02d", x)
     Feastcheck(unit)
  end
end

local function Raidcheck_v()
  for x = 1, 20 do
     local unit = string.format("group%02d", x)
     Vialcheck(unit)
  end
end

 
local function FFHelp()
  print("Welcome to Feast Fail!\n------------\n" .. 

         "/ffgo: Check for missing food buffs.\n" .. 
         "/ffvial: Check for missing vials.\n\n" .. 
         
         "By default, /ffvial only checks for rare-level (blue) vials, including resistance vials, while /ffgo checks for feasts and high level tank/dps food.\n------------\n" .. 
          
         "Good luck in your raid!")
end

table.insert(Command.Slash.Register("ffgo"), {Raidcheck, "FeastFail", "failfeast"})

table.insert(Command.Slash.Register("ffvial"), {Raidcheck_v, "FeastFail", "vialcheck"})

table.insert(Command.Slash.Register("ff"), {FFHelp, "FeastFail", "ffhelp"})
